<?php
/*
Snippet Name: iWorks body_class filter
Snippet URI: http://iworks.pl/
Description: Provides examples of using filter "body_class".
Version: trunk
Author: Marcin Pietrzak
Author URI: http://iworks.pl/
License: BSD
 */

add_filter( 'body_class', 'iworks_snippet_body_class_filter');
function iworks_snippet_body_class_filter( $class )
{
    /**
     * nadawania określonej klasy dla ustawionej w opcjach kategorii
     */
    if ( get_option( 'feature-category' ) && is_category( get_option( 'feature-category' ) ) ) {
        $class[] = 'category-feature';
    }
    /**
     * nadawanie klasy związanej z dniem tygodnia
     */
    $class[] = sprintf( 'day-%s', strtolower( date ( 'l' ) ) );
    /**
     * nadawania klasy związanej z godziną
     */
    $class[] = sprintf( 'hour-%d', date( 'H' ));
    /**
     * klasa dzień/noc
     */
    $class[] = ( date( 'G' ) > 8 && date( 'G' ) < 20 )? 'is-day':'is-night';
    /**
     * usuwanie klasy kategorii
     */
    if ( is_category() ) {
        for( $i = 0; $i < count( $class ); $i++ ) {
            if ( preg_match( '/^category/', $class[$i] ) ) {
                unset( $class[$i] );
            }
        }
    }
    return $class;
}

